the following patch was just integrated into master:
commit 7116ac803736345cc7c7b73ac435efa50c4cd2b0
Author: Edward O'Callaghan <eocallaghan(a)alterapraxis.com>
Date: Tue Jul 8 01:53:24 2014 +1000
src: Make use of 'CEIL_DIV(a, b)' macro across tree
The objective here is to tighten coreboot up a bit by not repeating
common helpers. This makes the code base more consistent and
unified/tight.
Change-Id: Ia163eae68b4a84a00ed118125e70308fab1cea0c
Signed-off-by: Edward O'Callaghan <eocallaghan(a)alterapraxis.com>
Reviewed-on: http://review.coreboot.org/6215
Tested-by: build bot (Jenkins)
Reviewed-by: Patrick Georgi <patrick(a)georgi-clan.de>
Reviewed-by: Paul Menzel <paulepanter(a)users.sourceforge.net>
See http://review.coreboot.org/6215 for details.
-gerrit
Patrick Georgi (patrick(a)georgi-clan.de) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6254
-gerrit
commit fafc5df1ef09bad230eb549d5849eb89a5d3c369
Author: Patrick Georgi <patrick(a)georgi-clan.de>
Date: Thu Jul 10 20:38:21 2014 +0200
build system: remove duplicate architecture list
Let xcompile pass the list of architectures, given
that it already has it.
This potentially requires removing $(src)/.xcompile
so it gets updated.
Change-Id: I565512d3bef987c9a4e48a39bfd88bacf0b65de9
Signed-off-by: Patrick Georgi <patrick(a)georgi-clan.de>
---
toolchain.inc | 2 --
util/xcompile/xcompile | 1 +
2 files changed, 1 insertion(+), 2 deletions(-)
diff --git a/toolchain.inc b/toolchain.inc
index b5b4fe0..842473b 100644
--- a/toolchain.inc
+++ b/toolchain.inc
@@ -17,8 +17,6 @@
## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
##
-ARCH_SUPPORTED := armv7 x86_32
-
# ccache integration
ifeq ($(CONFIG_CCACHE),y)
diff --git a/util/xcompile/xcompile b/util/xcompile/xcompile
index d133bd2..b42da7b 100755
--- a/util/xcompile/xcompile
+++ b/util/xcompile/xcompile
@@ -147,6 +147,7 @@ detect_special_flags() {
report_arch_toolchain() {
cat <<EOF
# elf${TWIDTH}-${TBFDARCH} toolchain (${GCCPREFIX}gcc)
+ARCH_SUPPORTED+=${TARCH}
CC_${TARCH}:=${GCCPREFIX}gcc
CFLAGS_${TARCH}:=${CFLAGS}
CPP_${TARCH}:=${GCCPREFIX}cpp
Patrick Georgi (patrick(a)georgi-clan.de) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6255
-gerrit
commit a33842eb4ac34d4451895eda51d1dac7ac41acae
Author: Patrick Georgi <patrick(a)georgi-clan.de>
Date: Thu Jul 10 21:06:04 2014 +0200
build system: create .xcompile dependency
It's probably safe to say that .xcompile needs an update if
util/xcompile/xcompile changed, so tell make about this
dependency.
Updates are honored immediately due to GNU make's feature of
reinterpreting everything when an included file changes. See "How
Makefiles Are Remade" in the GNU make documentation for details.
Change-Id: Ide2f028eaddcee66028c6403688cc83e1622fa6b
Signed-off-by: Patrick Georgi <patrick(a)georgi-clan.de>
---
Makefile | 4 +++-
util/xcompile/xcompile | 0
2 files changed, 3 insertions(+), 1 deletion(-)
diff --git a/Makefile b/Makefile
index c8cad4f..dce33a9 100644
--- a/Makefile
+++ b/Makefile
@@ -30,7 +30,9 @@
## SUCH DAMAGE.
##
-$(if $(wildcard .xcompile),,$(eval $(shell bash util/xcompile/xcompile $(XGCCPATH) > .xcompile)))
+.xcompile: util/xcompile/xcompile
+ $< $(XGCCPATH) > $@.tmp && cmp $@.tmp $@ > /dev/null 2> /dev/null || mv $@.tmp $@
+
include .xcompile
export top := $(CURDIR)
diff --git a/util/xcompile/xcompile b/util/xcompile/xcompile
old mode 100644
new mode 100755
Patrick Georgi (patrick(a)georgi-clan.de) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6254
-gerrit
commit 973c23253976a4b5d3726fd503e36f9d9e59b64c
Author: Patrick Georgi <patrick(a)georgi-clan.de>
Date: Thu Jul 10 20:38:21 2014 +0200
build system: remove duplicate architecture list
Let xcompile pass the list of architectures, given
that it already has it.
This potentially requires removing $(src)/.xcompile
so it gets updated.
Change-Id: I565512d3bef987c9a4e48a39bfd88bacf0b65de9
Signed-off-by: Patrick Georgi <patrick(a)georgi-clan.de>
---
toolchain.inc | 2 --
util/xcompile/xcompile | 1 +
2 files changed, 1 insertion(+), 2 deletions(-)
diff --git a/toolchain.inc b/toolchain.inc
index b5b4fe0..842473b 100644
--- a/toolchain.inc
+++ b/toolchain.inc
@@ -17,8 +17,6 @@
## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
##
-ARCH_SUPPORTED := armv7 x86_32
-
# ccache integration
ifeq ($(CONFIG_CCACHE),y)
diff --git a/util/xcompile/xcompile b/util/xcompile/xcompile
index d133bd2..b42da7b 100755
--- a/util/xcompile/xcompile
+++ b/util/xcompile/xcompile
@@ -147,6 +147,7 @@ detect_special_flags() {
report_arch_toolchain() {
cat <<EOF
# elf${TWIDTH}-${TBFDARCH} toolchain (${GCCPREFIX}gcc)
+ARCH_SUPPORTED+=${TARCH}
CC_${TARCH}:=${GCCPREFIX}gcc
CFLAGS_${TARCH}:=${CFLAGS}
CPP_${TARCH}:=${GCCPREFIX}cpp
Patrick Georgi (patrick(a)georgi-clan.de) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6255
-gerrit
commit bd336344c510e23adfb38444c4360945757acc6a
Author: Patrick Georgi <patrick(a)georgi-clan.de>
Date: Thu Jul 10 21:06:04 2014 +0200
build system: create .xcompile dependency
It's probably safe to say that .xcompile needs an update if
util/xcompile/xcompile changed, so tell make about this
dependency.
Updates are honored immediately due to GNU make's feature of
reinterpreting everything when an included file changes. See "How
Makefiles Are Remade" in the GNU make documentation for details.
Change-Id: Ide2f028eaddcee66028c6403688cc83e1622fa6b
Signed-off-by: Patrick Georgi <patrick(a)georgi-clan.de>
---
Makefile | 4 +++-
util/xcompile/xcompile | 0
2 files changed, 3 insertions(+), 1 deletion(-)
diff --git a/Makefile b/Makefile
index c8cad4f..c2f5809 100644
--- a/Makefile
+++ b/Makefile
@@ -30,7 +30,9 @@
## SUCH DAMAGE.
##
-$(if $(wildcard .xcompile),,$(eval $(shell bash util/xcompile/xcompile $(XGCCPATH) > .xcompile)))
+.xcompile: util/xcompile/xcompile
+ $< $(XGCCPATH) > $@.tmp && cmp $@.tmp $@ > /dev/null 2> /dev/null && mv $@.tmp $@
+
include .xcompile
export top := $(CURDIR)
diff --git a/util/xcompile/xcompile b/util/xcompile/xcompile
old mode 100644
new mode 100755
the following patch was just integrated into master:
commit c805e62f9dd5e1b11906101845abd36b049e7dc3
Author: Rudolf Marek <r.marek(a)assembler.cz>
Date: Mon Jul 7 22:16:36 2014 +0200
vendorcode/amd/agesa/f15tn: Fix erratum #712
Implement the fix for the erratum #712. - Processor May Hang During Graphics Memory Controller
Sequencing
The processor may hang during a graphics memory controller (GMC) sleep state transitioning. The failure may
be processor specific and may be sensitive to temperature.
Potential Effect on System:
System hang.
Suggested Workaround:
BIOS should set D18F2x408_dct[1:0] bit 31 = 1b.
See Publication # 48931 Revision: 3.08
Change-Id: I4346fd4ef3cf554ffdaaad5ab6fc84e73532e885
Signed-off-by: Rudolf Marek <r.marek(a)assembler.cz>
Reviewed-on: http://review.coreboot.org/6216
Tested-by: build bot (Jenkins)
Reviewed-by: Martin Roth <gaumless(a)gmail.com>
Reviewed-by: Edward O'Callaghan <eocallaghan(a)alterapraxis.com>
See http://review.coreboot.org/6216 for details.
-gerrit
Martin Roth (gaumless(a)gmail.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6261
-gerrit
commit 7c6a96acf701bb1e9f4faf3f86dfd3b4366184c7
Author: Martin Roth <martin.roth(a)se-eng.com>
Date: Thu Jul 10 15:02:19 2014 -0600
board_status.sh minor fixes - no functional changes
- Update some comments
- Whitespace fixes
- change from backticks to $() format for getting command data.
Change-Id: Iaf424224abfd30a3581d0e43a1689cc7c887beec
Signed-off-by: Martin Roth <martin.roth(a)se-eng.com>
---
util/board_status/board_status.sh | 13 ++++++++-----
1 file changed, 8 insertions(+), 5 deletions(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index f494c89..d467362 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -24,7 +24,8 @@ NONFATAL=1
# test a command
#
-# $1: test command on remote host (0=no, 1=yes)
+# $1: 0 ($LOCAL) to run command locally,
+# 1 ($REMOTE) to run remotely if remote host defined
# $2: command to test
# $3: 0 ($FATAL) Exit with an error if the command fails
# 1 ($NONFATAL) Don't exit on command test failure
@@ -37,7 +38,7 @@ test_cmd()
fi
if [ "$1" -eq "$REMOTE" ] && [ -n "$REMOTE_HOST" ]; then
- ssh root@${REMOTE_HOST} which "$2" >/dev/null
+ ssh root@${REMOTE_HOST} which "$2" > /dev/null
rc=$?
else
which "$2" >/dev/null
@@ -79,7 +80,8 @@ _cmd()
# run a command
#
-# $1: 0 to run command locally, 1 to run remotely if remote host defined
+# $1: 0 ($LOCAL) to run command locally,
+# 1 ($REMOTE) to run remotely if remote host defined
# $2: command
# $3: filename to direct output of command into
cmd()
@@ -97,7 +99,8 @@ cmd()
# run a command where failure is considered to be non-fatal
#
-# $1: 0 to run command locally, 1 to run remotely if remote host defined
+# $1: 0 ($LOCAL) to run command locally,
+# 1 ($REMOTE) to run remotely if remote host defined
# $2: command
# $3: filename to direct output of command into
cmd_nonfatal()
@@ -253,7 +256,7 @@ cmd $REMOTE dmesg "${tmpdir}/${results}/kernel_log.txt"
#
# Finish up.
#
-coreboot_dir=`pwd`
+coreboot_dir=$(pwd)
if [ $UPLOAD_RESULTS -eq 1 ]; then
# extract username from ssh://<username>@review.coreboot.org/blah
username=$(git config --get remote.origin.url | sed 's/ssh\:\/\///' | sed 's/@.*//')
Martin Roth (gaumless(a)gmail.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6260
-gerrit
commit 9630e5743a4e9df013072211351d8cd66f241efc
Author: Martin Roth <martin.roth(a)se-eng.com>
Date: Thu Jul 10 15:00:35 2014 -0600
board_status.sh name temp dir and print the name
- Read the boot log from a serial device.
Change-Id: I9daf97fd9b7fc55d0d56d815b185f9b4e3ef9f5a
Signed-off-by: Martin Roth <martin.roth(a)se-eng.com>
---
util/board_status/board_status.sh | 68 ++++++++++++++++++++++++++++++++++++---
1 file changed, 64 insertions(+), 4 deletions(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 889419e..f494c89 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -3,6 +3,7 @@
# This file is part of the coreboot project.
#
# Copyright (C) 2013 Google Inc.
+# Copyright (C) 2014 Sage Electronic Engineering, LLC.
#
EXIT_SUCCESS=0
@@ -12,6 +13,7 @@ EXIT_FAILURE=1
REMOTE_HOST=""
CLOBBER_OUTPUT=0
UPLOAD_RESULTS=0
+SERIAL_PORT_SPEED=115200
# Used to specify whether a command should always be run locally or
# if command should be run remoteley when a remote host is specified.
@@ -110,6 +112,50 @@ cmd_nonfatal()
rm -f "$3" # don't leave an empty file
}
+# read from a serial port device
+#
+# $1: serial device to read from
+# $2: serial port speed
+# $3: filename to direct output of command into
+get_serial_bootlog () {
+
+ if [ ! -c "$1" ]; then
+ echo "$1 is not a valid serial device"
+ exit $EXIT_FAILURE
+ fi
+
+ #make the text more noticible
+ test_cmd $LOCAL "tput" $NONFATAL
+ tput_not_available=$?
+ if [ $tput_not_available -eq 0 ]; then
+ tput bold
+ tput setaf 10 #set bright green
+ fi
+
+ echo
+ echo "Waiting to receive boot log from $1"
+ echo "Press [Enter] when the boot is complete and the"
+ echo "system is ready for ssh to get the dmesg log."
+
+ if [ $tput_not_available -eq 0 ]; then
+ tput sgr0
+ fi
+
+ #set up the serial port
+ cmd $LOCAL "stty -F $1 $2 cs8 -cstopb"
+
+ #read from the serial port - user must press enter when complete
+ test_cmd $LOCAL "tee"
+ cat "$SERIAL_DEVICE" | tee "$3" &
+ PID=$!
+
+ read
+ kill "$PID" 2>/dev/null &
+
+ #remove the binary zero value that gets inserted into the file.
+ sed -i 's/\x00//' "$3"
+}
+
show_help() {
echo "Usage:
${0} <option>
@@ -121,12 +167,16 @@ Options
Clobber temporary output when finished. Useful for debugging.
-r <host>
Obtain machine information from remote host (using ssh).
+ -s </dev/xxx>
+ Obtain boot log via serial device.
+ -S <speed>
+ Set the port speed for the serial device (Default is 115200).
-u
Upload results to coreboot.org.
"
}
-while getopts "Chr:u" opt; do
+while getopts "Chr:s:S:u" opt; do
case "$opt" in
h)
show_help
@@ -138,6 +188,12 @@ while getopts "Chr:u" opt; do
r)
REMOTE_HOST="$OPTARG"
;;
+ s)
+ SERIAL_DEVICE="$OPTARG"
+ ;;
+ S)
+ SERIAL_PORT_SPEED="$OPTARG"
+ ;;
u)
UPLOAD_RESULTS=1
;;
@@ -184,9 +240,13 @@ printf "Upstream revision: %s\n" $($getrevision -u) >> ${tmpdir}/${results}/revi
printf "Upstream URL: %s\n" $($getrevision -U)>> ${tmpdir}/${results}/revision.txt
printf "Timestamp: %s\n" "$timestamp" >> ${tmpdir}/${results}/revision.txt
-test_cmd $REMOTE "cbmem"
-cmd $REMOTE "cbmem -c" "${tmpdir}/${results}/coreboot_console.txt"
-cmd_nonfatal $REMOTE "cbmem -t" "${tmpdir}/${results}/coreboot_timestamps.txt"
+if [ -z "$SERIAL_DEVICE" ]; then
+ test_cmd $REMOTE "cbmem"
+ cmd $REMOTE "cbmem -c" "${tmpdir}/${results}/coreboot_console.txt"
+ cmd_nonfatal $REMOTE "cbmem -t" "${tmpdir}/${results}/coreboot_timestamps.txt"
+else
+ get_serial_bootlog "$SERIAL_DEVICE" "$SERIAL_PORT_SPEED" "${tmpdir}/${results}/coreboot_console.txt"
+fi
cmd $REMOTE dmesg "${tmpdir}/${results}/kernel_log.txt"
Martin Roth (gaumless(a)gmail.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6259
-gerrit
commit ff5ba21c3c952643a84ed207615495de64cf4157
Author: Martin Roth <martin.roth(a)se-eng.com>
Date: Thu Jul 10 14:59:11 2014 -0600
board_status.sh name temp dir and print the name
- give a template to the temp dir so they're recognizable.
- show the location of the temp files again at the end of the script.
Change-Id: Ieb031ee249043697f6a75e42284c23d0b9bad1b3
Signed-off-by: Martin Roth <martin.roth(a)se-eng.com>
---
util/board_status/board_status.sh | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 20ba48f..889419e 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -152,7 +152,7 @@ fi
# Results will be placed in a temporary location until we're ready to upload.
# If the user does not wish to upload, results will remain in /tmp.
-tmpdir=$(mktemp -d)
+tmpdir=$(mktemp -d --tmpdir coreboot_board_status.XXXXXXXX)
# Obtain board and revision info to form the directory structure:
# <vendor>/<board>/<revision>/<timestamp>
@@ -229,6 +229,9 @@ cd "$coreboot_dir"
if [ $CLOBBER_OUTPUT -eq 1 ]; then
rm -rf ${tmpdir}
+else
+ echo
+ echo "output files are in ${tmpdir}/${results}"
fi
exit $EXIT_SUCCESS